const express = require('express');
const router = express.Router();
const db = require('./db/fileDb');

db.init();

router.get('/', (req, res) => {
    res.send('List of products will be here')
});

router.get('/:id', (req, res) => {
    res.send('Single product will be here' + req.params.id)
});

router.post('/', (req, res) => {
    console.log('Create product', req.body);
    db.addItem(req.body);
    res.send('Create product will be here')
});

module.exports = router;