const fs = require('fs');

const fileName = './db/db.json';
let data = [];

module.exports = {
    init() {
       try {
           const fileContents = fs.readFileSync(fileName, 'utf-8');
           data = JSON.parse(fileContents);
       }catch (e) {
           data = []
       }
    },
    getItems() {
        return data;
    },
    addItem(item) {
        data.push(item);
        this.save();
    },
    save() {
        fs.writeFileSync(fileName, JSON.stringify(data));
    }
};